#3165 Mac OSX Java update on 2008-09-24 breaks jEdit

closed-fixed
6
2008-11-18
2008-09-24
No

jEdit will no longer startup after installing the recent Java update
under Mac OSX 10.5.x. Following system log entries may indicate cause.
Tried installing 4.3pre15 but no change. Also removed preferences file with no change.

9/24/08 3:11:15 PM [0x0-0x11011].org.gjt.sp.jedit[167] [JavaAppLauncher Error] CFBundleCopyResourceURL() failed loading MRJApp.properties file
9/24/08 3:11:15 PM [0x0-0x11011].org.gjt.sp.jedit[167] [JavaAppLauncher Error] CFBundleCopyResourceURL() failed while getting Resource/Java directory
9/24/08 3:11:26 PM [0x0-0x11011].org.gjt.sp.jedit[167] [LaunchRunner Error] No main class specified
9/24/08 3:11:26 PM [0x0-0x11011].org.gjt.sp.jedit[167] [JavaAppLauncher Error] CallStaticVoidMethod() threw an exception
9/24/08 3:11:26 PM [0x0-0x11011].org.gjt.sp.jedit[167] Exception
9/24/08 3:11:26 PM [0x0-0x11011].org.gjt.sp.jedit[167] in thread "main"
9/24/08 3:11:26 PM [0x0-0x11011].org.gjt.sp.jedit[167] java.lang.NullPointerException
9/24/08 3:11:26 PM [0x0-0x11011].org.gjt.sp.jedit[167] at apple.launcher.LaunchRunner.run(LaunchRunner.java:112)
9/24/08 3:11:26 PM [0x0-0x11011].org.gjt.sp.jedit[167] at apple.launcher.LaunchRunner.callMain(LaunchRunner.java:50)
9/24/08 3:11:26 PM [0x0-0x11011].org.gjt.sp.jedit[167] at apple.launcher.JavaApplicationLauncher.main(JavaApplicationLauncher.java:61)
9/24/08 3:11:26 PM com.apple.launchd[75] ([0x0-0x11011].org.gjt.sp.jedit[167]) Exited with exit code: 1
9/24/08 3:11:31 PM com.apple.launchd[75] ([0x0-0xe00e].com.apple.systemuiserver[152]) Exited: Terminated

Discussion

  • Ben Williams

    Ben Williams - 2008-09-25

    I've tried re-arranging which JREs it was using via Applications -> Utilities -> Java -> Java Preferences. With them in this order:

    J2SE 5.0 32-bit
    Java SE 6 64-bit
    J2SE 5.0 64-bit
    J2SE 1.4.2 32-bit

    it gives this error:

    [JavaAppLauncher Error] CFBundleCopyResourceURL() failed loading MRJApp.properties file
    [JavaAppLauncher Error] CFBundleCopyResourceURL() failed while getting Resource/Java directory
    [LaunchRunner Error] No main class specified
    [JavaAppLauncher Error] CallStaticVoidMethod() threw an exception
    Exception in thread "main" java.lang.NullPointerException
    at apple.launcher.LaunchRunner.run(LaunchRunner.java:112)
    at apple.launcher.LaunchRunner.callMain(LaunchRunner.java:50)
    at apple.launcher.JavaApplicationLauncher.main(JavaApplicationLauncher.java:61)

    With them in this order:

    Java SE 6 64-bit
    J2SE 5.0 32-bit
    J2SE 5.0 64-bit
    J2SE 1.4.2 32-bit

    it gives a slightly different error:

    12:58:41 PM [error] main: NSRuntime.loadLibrary(/usr/lib/java/libObjCJava.dylib) error.
    12:58:41 PM [error] main: java.lang.UnsatisfiedLinkError: /usr/lib/java/libObjCJava.A.dylib:
    12:58:41 PM [error] main: at java.lang.ClassLoader$NativeLibrary.load(Native Method)
    12:58:41 PM [error] main: at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1822)
    12:58:41 PM [error] main: at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1702)
    12:58:41 PM [error] main: at java.lang.Runtime.load0(Runtime.java:770)
    12:58:41 PM [error] main: at java.lang.System.load(System.java:1005)
    12:58:41 PM [error] main: at com.apple.cocoa.foundation.NSRuntime.loadLibrary(NSRuntime.java:127)
    12:58:41 PM [error] main: at com.apple.cocoa.foundation.NSRuntime.<clinit>(NSRuntime.java:35)
    12:58:41 PM [error] main: at com.apple.cocoa.foundation.NSObject.<clinit>(NSObject.java:27)
    12:58:41 PM [error] main: at macos.MacOSPlugin.start(Unknown Source)
    12:58:41 PM [error] main: at org.gjt.sp.jedit.PluginJAR.startPlugin(PluginJAR.java:1360)
    12:58:41 PM [error] main: at org.gjt.sp.jedit.PluginJAR.activatePlugin(PluginJAR.java:737)
    12:58:41 PM [error] main: at org.gjt.sp.jedit.PluginJAR.activatePluginIfNecessary(PluginJAR.java:807)
    12:58:41 PM [error] main: at org.gjt.sp.jedit.jEdit.main(jEdit.java:460)
    12:58:41 PM [error] main: at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    12:58:41 PM [error] main: at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    12:58:41 PM [error] main: at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    12:58:41 PM [error] main: at java.lang.reflect.Method.invoke(Method.java:597)
    12:58:41 PM [error] main: at apple.launcher.LaunchRunner.run(LaunchRunner.java:115)
    12:58:41 PM [error] main: at apple.launcher.LaunchRunner.callMain(LaunchRunner.java:50)
    12:58:41 PM [error] main: at apple.launcher.JavaApplicationLauncher.launch(JavaApplicationLauncher.java:52)

     
  • chris

    chris - 2008-09-25

    Java 1.6 workaround partially taken from jedit.org forums. I can't reply there since the website is messed up. Tested on the Mac OS X package:

    - Right-click on the jEdit application and select 'Show Package Contents'. Edit info.plist to the following: Java -> JVMVersion = 1.6+ Save and Exit

    - In the same folder go to Resources -> Java -> jars and move/rename/remove MacOS.jar

    jEdit show now work fine.

     
  • Routis Haralampos

    madhatter3:
    - Right-click on the jEdit application and select 'Show Package Contents'.
    Edit info.plist to the following: Java -> JVMVersion = 1.6+ Save and Exit

    - In the same folder go to Resources -> Java -> jars and
    move/rename/remove MacOS.jar

    The solution work fine for me (4.3pre, Leopard)

     
  • Aaron Martin

    Aaron Martin - 2008-09-25

    That worked for me! Thanks. Minor additional note: renaming of the MacOS.jar in the same folder did not work, had to move it outside of the App.

     
  • Chris Hill

    Chris Hill - 2008-09-27

    There are a couple problems with the solutions proposed:

    There is no jdk v6 for non-64 bit macs. So your 1.6+ solution will only work on Mac Pros and similar hardware.

    Removing the MacOS.jar may partially fix the problem ( I haven't tried that, but did install via jar and that is similar) but the OS integration is very useful.

    This issue stems from the use of a symlink to JavaApplicationStub. I have more thoroughly documented this issue here:
    http://ubergeek.tv/article.php?pid=144

    based on the discussion going on over here:
    http://discussions.apple.com/thread.jspa?messageID=8182624

    A better solution for mac would be to use an actual java application stub instead of a symlink.

     
  • Sir Walter

    Sir Walter - 2008-09-29

    I implemented robotron's solution and undid routis's suggestion. Now my MacOS integration works again.

     
  • Nathan Gray

    Nathan Gray - 2008-10-23

    After replacing the app stub as described below I still occasionally get hangs during the "running startup scripts" stage of the app launch. I don't know if that's related to this bug but I thought I'd mention it just in case.

     
  • jurgenfd

    jurgenfd - 2008-11-11

    The previously suggested at:
    http://renderfast.com/2008/09/26/java-for-mac-update-2-leaves-some-java-apps-broken/
    might be worth repeating here as it's updated and very simpl.

    The below does overwrite the symbolic link! Which is exactly what seemed to be needed in my case.

    cp /System/Library/Frameworks/JavaVM.framework/Resources/MacOS/JavaApplicationStub /Applications/jEdit.app/Contents/MacOS/jedit

     
  • Seph Soliman

    Seph Soliman - 2008-11-18

    Fix added to repository in rev. 14081. It will be available in the next release.

    A great thank you to all of those who supplied hints and solutions. Sadly Apple didn't supply a solution in the days around the release which is why I was so slow to apply it. My apologies.

    I tested the fix and it seems to be working. Stay tuned for the upcomming release.

    Best regards,
    Seph

     
  • Seph Soliman

    Seph Soliman - 2008-11-18
    • priority: 5 --> 6
    • assigned_to: nobody --> scarlac
    • status: open --> closed-fixed
     
  • Seph Soliman

    Seph Soliman - 2008-11-18

    As a small note - please keep in mind that this commit does not specificly address the issue with the macos.jar, but I believe Björn disabled the plugin until we decide how to release the new an updated plugin (refer to other tickets regarding this plugin and issue).

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks